matrix:
  platform:
    - debian10
    - fedora40
    - ubuntu2004
    - macos
  bazel:
    - 7.x
    - 8.x
    - 9.x
tasks:
  verify_unix_targets:
    name: Verify unix build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@sockpp//:sockpp"

  verify_windows_targets:
    name: Verify windows build targets
    platform: windows
    bazel: ${{ bazel }}
    build_flags:
      - "--cxxopt=/std:c++17"
    build_targets:
      - "@sockpp//:sockpp"

bcr_test_module:
  module_path: "."
  matrix:
    platform:
      - debian10
      - fedora40
      - ubuntu2004
      - macos
    bazel:
      - 7.x
      - 8.x
      - 9.x
  tasks:
    run_unix_test_module:
      name: Run unix test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//..."
      test_targets:
        - "//..."

    run_windows_test_module:
      name: Run windows test module
      platform: windows
      bazel: ${{ bazel }}
      build_flags:
        - "--cxxopt=/std:c++17"
      build_targets:
        - "//..."
      test_flags:
        - "--cxxopt=/std:c++17"
      test_targets:
        - "//..."
